<?php
declare(strict_types=1);

namespace CakeProducts\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ProductCategoryVariantsFixture
 */
class ProductCategoryVariantOptionsFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [
                'id' => '5a386e9f-6e7a-4ae7-9360-c8e529f78d93',
                'variant_value' => 'Color',
                'variant_label' => null,
                'product_category_variant_id' => '5a386e9f-6e7a-4ae7-9360-c8e529f78d93',
                'created' => '2025-07-04 12:00:00',
                'modified' => '2025-07-04 12:00:00',
                'enabled' => 1,
            ],
            [
                'id' => '5a386e9f-6e7a-4ae7-9360-c8e529f78d94',
                'variant_value' => 'Size',
                'variant_label' => null,
                'product_category_variant_id' => '5a386e9f-6e7a-4ae7-9360-c8e529f78d93',
                'created' => '2025-07-04 12:00:00',
                'modified' => '2025-07-04 12:00:00',
                'enabled' => 1,
            ],
        ];
        parent::init();
    }
}
